import processing.video.*; 
import gab.opencv.*;
import java.awt.Rectangle;

Movie movie;
OpenCV opencv;
Rectangle[] faces;
Boolean moviePlaying = false;

void setup() {
  size(640, 360);
  movie = new Movie(this, "【無修正】BEMYBABYコラ用素材640x360.mp4");
  opencv = new OpenCV(this, 640, 360);
  opencv.loadCascade(OpenCV.CASCADE_FRONTALFACE);  
  movie.noLoop();
  movie.play();
}

void draw() {
  if ( moviePlaying ){
    opencv.loadImage(movie);
    faces = opencv.detect();
    image(movie, 0, 0, 640, 360);
    noFill();
    stroke(0, 255, 0);
    strokeWeight(height/120);
    for (int i = 0; i < faces.length; i++) {
      rect(faces[i].x, faces[i].y, faces[i].width, faces[i].height);
    }
  }
}

void movieEvent(Movie m){
  if ( m.available() ){ 
    m.read();
    moviePlaying = true;
  }
}